Bug 67183 - Applet shows epoch colon and number even if no epoch.
Applet shows epoch colon and number even if no epoch.
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: rhn-applet (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Veillard
Depends On:
  Show dependency treegraph
Reported: 2002-06-20 14:21 EDT by Ed Halley
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-01-17 11:32:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ed Halley 2002-06-20 14:21:23 EDT
Description of Problem:

  In the applet's summary of available errata packages, the package names
include trailing colons even if the available package has no nonzero epoch
number.  This is confusing and misleading as all other RPM tools generally hide
the colon when epoch is not specified.  It may also show a number which seems to
be unrelated to the available package's epoch number.

Version-Release number of selected component (if applicable):
  $ rpm -qf /usr/share/rhn/rhn_applet/rhn_applet.py

How Reproducible:
  May depend on the available packages.

Steps to Reproduce:
1. Note a flashing rhn_applet icon.
2. Click on the icon to receive a tabular listing of installed vs available
3. Note the trailing colons and sometimes other numeric information in the
available package names.

Actual Results:
  Available Packages

Expected Results:
  Available Packages

In the above example, rpm abiword-0.99.5-2.i386.rpm was subsequently downloaded
and installed by up2date, with no colon or digit to signify additional version
information such as epoch.

Also, no advisory information was available for abiword on this particular
up2date install (but was available for the kernel).  This may or may not be
related to badly formatted update information.  I am adding that as a separate
bug but will reference this bug in it in case it actually is related.
Comment 1 Daniel Veillard 2003-01-17 11:32:46 EST
I think this is fixed in the current version,


Note You need to log in before you can comment on or make changes to this bug.